import React from 'react'
import SvgIcon, { SvgIconProps } from '@mui/material/SvgIcon'
import ReactPDF, { Image } from '@react-pdf/renderer'
import png from './kidney_failure.png'
import ImageProps = ReactPDF.ImageProps

const KidneyFailureIcon: React.FC<SvgIconProps> = (props) => {
  return (
    <SvgIcon viewBox={'0 0 512 512'} {...props}>
      <path d="M452.849,21.247c-28.33-28.33-78.769-28.33-107.07,0.001c-14.165,14.15-21.973,32.988-21.973,53.027s7.808,39.602,21.973,53.752c0.659,0.659,1.304,1.348,1.934,2.036c-6.354,5.193-10.995,12.175-13.802,19.937h-17.912c-24.814,0-45,20.186-45,45v106.3c-4.942-0.613-9.864-1.3-15-1.3c-5.136,0-10.058,0.687-15,1.3V195c0-24.814-20.186-45-45-45h-17.911c-2.807-7.762-7.449-14.744-13.802-19.937c0.63-0.688,1.274-1.362,1.934-2.036c14.165-14.15,21.973-33.713,21.973-53.752s-7.808-38.877-21.958-53.027c-28.33-28.33-78.769-28.33-107.069,0c-78.867,78.867-78.867,207.913-0.015,286.78C73.314,322.192,92.152,330,112.191,330s39.877-7.808,54.027-21.973c14.165-14.15,21.973-32.988,21.973-53.027s-7.808-38.877-21.973-53.027c-0.659-0.659-1.304-1.348-1.934-2.036c6.354-5.193,10.995-12.175,13.802-19.937h17.913c8.276,0,15,6.724,15,15v114.025c-35.345,14.502-60,45.203-60,80.975c0,34.849,23.687,66.284,60,81.021V497c0,8.291,6.709,15,15,15h60c8.291,0,15-6.709,15-15v-25.979c36.313-14.736,60-46.172,60-81.021c0-35.771-24.655-66.473-60-80.975V195c0-8.276,6.724-15,15-15h17.911c2.807,7.762,7.449,14.744,13.802,19.937c-0.63,0.688-1.274,1.362-1.934,2.036c-14.165,14.15-21.973,32.988-21.973,53.027s7.808,38.877,21.958,53.027C359.93,322.192,379.768,330,399.807,330s38.877-7.808,53.027-21.973C531.701,229.16,531.701,100.114,452.849,21.247z" />
    </SvgIcon>
  )
}

export const KidneyFailureIconPdf: React.FC<Partial<ImageProps>> = (props) => {
  return <Image src={png} {...props} />
}

export default KidneyFailureIcon
